package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.UserChangeRecordInfoQry;
import com.zcloud.basic.info.dto.UserCorpRecordAddCmd;
import com.zcloud.basic.info.dto.UserCorpRecordPageQry;
import com.zcloud.basic.info.dto.UserCorpRecordUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserCO;
import com.zcloud.basic.info.dto.clientobject.UserChangeRecordCO;
import com.zcloud.basic.info.dto.clientobject.UserCorpRecordCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-03 10:21:59
 */
public interface UserCorpRecordServiceI {
    PageResponse<UserCorpRecordCO> listPage(UserCorpRecordPageQry qry);

    SingleResponse<UserCorpRecordCO> add(UserCorpRecordAddCmd cmd);

    void edit(UserCorpRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    UserCO getInfoById(Long id);

    UserCorpRecordCO getChangerRecordInfoById(UserChangeRecordInfoQry userChangeRecordInfoQry);
}

